Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class MouseTrackAdapter

    java.lang.Object
      org.eclipse.swt.events.MouseTrackAdapter

All Implemented Interfaces:
  MouseTrackListener

public abstract class MouseTrackAdapter
extends java.lang.Object
implements MouseTrackListener

This adapter class provides default implementations for the methods described by the `MouseTrackListener` interface.

Classes that wish to deal with `MouseEvent`s which occur as the mouse pointer passes (or hovers) over controls can extend this class and override only the methods which they are interested in.

Since:
  1.3
See Also:
  `MouseTrackListener`, `MouseEvent`

Constructor Summary
`MouseTrackAdapter()`

Method Summary
`void` `mouseEnter(MouseEvent e)` Sent when the mouse pointer passes into the area of the screen covered by a control.
`void` `mouseExit(MouseEvent e)` Sent when the mouse pointer passes out of the area of the screen covered by a control.
`void` `mouseHover(MouseEvent e)` Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseTrackAdapter

    public MouseTrackAdapter()

Method Detail

### mouseEnter

    public void mouseEnter(MouseEvent e)

  Sent when the mouse pointer passes into the area of the screen covered by a control. The default behavior is to do nothing.

  Specified by:
    `mouseEnter` in interface `MouseTrackListener`
  Parameters:
    `e` - an event containing information about the mouse enter

### mouseExit

    public void mouseExit(MouseEvent e)

  Sent when the mouse pointer passes out of the area of the screen covered by a control. The default behavior is to do nothing.

  Specified by:
    `mouseExit` in interface `MouseTrackListener`
  Parameters:
    `e` - an event containing information about the mouse exit

### mouseHover

    public void mouseHover(MouseEvent e)

  Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control. The default behavior is to do nothing.

  Specified by:
    `mouseHover` in interface `MouseTrackListener`
  Parameters:
    `e` - an event containing information about the hover

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.